Issue 126480 - Update meta data for OpenOffice 4.1.2
Summary: Update meta data for OpenOffice 4.1.2
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.1
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.2
Assignee: Andrea Pescetti
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-19 22:03 UTC by Andrea Pescetti
Modified: 2015-11-06 21:23 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: Simple
pescetti: 4.1.2_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2015-08-19 22:03:09 UTC
Issue to track the necessary changes of metadata related to the OpenOffice 4.1.2 release (like bumping version number, build number, update URLs...).

See issue 125084 for reference for the changes done in 4.1.1; we need to replicate most of these in 4.1.2.

This is an obvious release blocker.
Comment 1 Andrea Pescetti 2015-08-28 22:11:12 UTC
First changes have been done in http://svn.apache.org/r1698423 ; still some work left, like update URLs.
Comment 2 SVN Robot 2015-09-27 20:55:45 UTC
"pescetti" committed SVN revision 1705572 into branches/AOO410:
#i126480# Adapt version number for src release.
Comment 3 SVN Robot 2015-09-27 21:00:42 UTC
"pescetti" committed SVN revision 1705573 into branches/AOO410:
#i126480# Provide Update URL for OpenOffice 4.1.2 instances.
Comment 4 SVN Robot 2015-09-27 21:04:32 UTC
"pescetti" committed SVN revision 1705574 
#i126480# Empty XML update feed for OpenOffice 4.1.2.
Comment 5 SVN Robot 2015-09-27 21:08:40 UTC
"pescetti" committed SVN revision 1705575 into branches/AOO410:
#i126480# Further 'version numbers' which need to be adapted to 4.1.2.
Comment 6 Andrea Pescetti 2015-09-27 21:12:56 UTC
All changes from the reference issue 125084 have been done in AOO410 to prepare for 4.1.2.

The only two changes that were not ported are:
https://svn.apache.org/viewvc/openoffice/branches/AOO410/main/sysui/desktop/debian/makefile.mk?r1=1609191&r2=1609190&pathrev=1609191
https://svn.apache.org/viewvc/openoffice/branches/AOO410/main/sysui/desktop/slackware/makefile.mk?r1=1609191&r2=1609190&pathrev=1609191
which were done as part of the 4.1 -> 4.1.1 upgrade but presumably applied to the 4.0 -> 4.1 upgrade instead.
Comment 7 Mechtilde 2015-10-04 08:21:16 UTC
verified in 64 bit RPM
Comment 8 Andrea Pescetti 2015-10-09 01:23:46 UTC
Build and version number updated for 412m2 with revision 1707644.
Comment 9 Andrea Pescetti 2015-10-17 21:57:15 UTC
This issue also contains updates for URLs, so as part of the verification we need to:
1) Check that OpenOffice update feeds work
2) Check that extensions update feeds work

While #1 requires some test data to be put on the OpenOffice update server (coordinate on the dev list for this), anybody can do #2 by simply installing an old version of the Italian dictionary like version 2012.04.03 from http://extensions.openoffice.org/en/node/1204 and then checking for updates from Tools - Extensions Manager.
Comment 10 Andrea Pescetti 2015-10-19 11:41:36 UTC
Reopening for updating data for 4.1.2-RC3.
Comment 11 Andrea Pescetti 2015-10-20 22:44:00 UTC
Build and version number updated for 412m3 with revision 1709696.

Both OpenOffice and Extensions update feeds are verified to be working in OpenOffice 4.1.2-RC2.
Comment 12 Pedro 2015-10-23 15:41:01 UTC
Just a gentle reminder that version information should also be updated in the exe files (Windows binaries)

https://bz.apache.org/ooo/show_bug.cgi?id=126603
Comment 13 Pedro 2015-11-06 20:14:00 UTC
This bug has been Closed as Fixed? This is still broken in 4.1.2 (m3, RC3 or Final). Has this been Verified?
Comment 14 Andrea Pescetti 2015-11-06 21:23:10 UTC
Pedro: this one is issue 126480 and it is OK to close it (it is about updating version number in the About Box and elsewhere, and it has been verified). Probably you meant issue 126603 which is still open, but is a separate issue.